<form action="{$VAL_SELF}" method="post" enctype="multipart/form-data">
  <div id="ebay_orders" class="tab_content">
	<h3>Import From Ebay</h3>
	<p>Noodlemans Ebay Orders plugin allows you to import your ebay customers & orders into CubeCart & update ebay from a central location. It is an easy way to manage your orders and inventory when selling on ebay and when combined with the Ebay Sales plugin.</h3></p>

	<fieldset><legend>Configuration Settings</legend>
		<div><label for="status">{$LANG.common.status}</label><span><input type="hidden" name="module[status]" id="status" class="toggle" value="{$MODULE.status}" />&nbsp;</span></div>
	</fieldset>

	<fieldset><legend>License Information</legend>
		{$PLUGIN_LICENSE_KEY_HTML}
		{$PLUGIN_LICENSE_STATUS}
		{$PLUGIN_SUPPORT_STATUS}
		{if isset($PLUGIN_SUPPORT_ENDS)}
			{$PLUGIN_SUPPORT_ENDS}	
		{/if}
	</fieldset>
	
	{if isset($DEBUG_MEMORY_START)}
		<fieldset><legend>Memory Debug Info</legend>
		{$DEBUG_MEMORY_START}
		{$DEBUG_MEMORY_END}
		</fieldset>
	{/if}
	
	<fieldset><legend>{$LANG.ebay_orders.ebay_get_orders}</legend>
		<a href="{$EBAY_GET_ORDERS_LINK}" class="button">Get Latest Orders (Force import of orders, ignoring API call limiter)</a>
	</fieldset>	
	<br/>
	<fieldset><legend>{$LANG.ebay_orders.ebay_settings1}</legend>

		<div><label for="ebay_prod_devid">Ebay API APPID</label><span><input name="module[ebay_prod_appid]" id="ebay_prod_appid" class="textbox" type="text" value="{$SETTINGS_EBAY_API_APPID}" /></span></div>
		<div><label for="ebay_prod_devid">Ebay API DEVID</label><span><input name="module[ebay_prod_devid]" id="ebay_prod_devid" class="textbox" type="text" value="{$SETTINGS_EBAY_API_DEVID}" /></span></div>
		<div><label for="ebay_prod_certid">Ebay API CERTID</label><span><input name="module[ebay_prod_certid]" id="ebay_prod_certid" class="textbox" type="text" value="{$SETTINGS_EBAY_API_CERTID}" /></span></div>
		<div><label for="ebay_prod_runame">Ebay API RuNAME</label><span><input name="module[ebay_prod_runame]" id="ebay_prod_runame" class="textbox" type="text" value="{$SETTINGS_EBAY_API_RUNAME}" /></span></div>
		<div><label for="ebay_prod_order_age">Ebay Order Age (Seconds)</label><span><input name="module[ebay_prod_order_age]" id="ebay_prod_order_age" class="textbox" type="text" value="{$SETTINGS_EBAY_API_ORDERAGE}" /></span></div>
		<div>
			<label for="ebay_countryid">Ebay Site</label><span>
				<select name="module[ebay_countryid]">
					<option value="15" {if $SETTINGS_EBAY_API_COUNTRY == "15"}selected="yes"{/if}>Australia</option>
					<option value="16" {if $SETTINGS_EBAY_API_COUNTRY == "16"}selected="yes"{/if}>Austria</option>
					<option value="123" {if $SETTINGS_EBAY_API_COUNTRY == "123"}selected="yes"{/if}>Belgium (Dutch)</option>
					<option value="23" {if $SETTINGS_EBAY_API_COUNTRY == "23"}selected="yes"{/if}>Belgium (French)</option>
					<option value="2" {if $SETTINGS_EBAY_API_COUNTRY == "2"}selected="yes"{/if}>Canada (English)</option>
					<option value="210" {if $SETTINGS_EBAY_API_COUNTRY == "210"}selected="yes"{/if}>Canada (French)</option>
					<option value="71" {if $SETTINGS_EBAY_API_COUNTRY == "71"}selected="yes"{/if}>France</option>
					<option value="77" {if $SETTINGS_EBAY_API_COUNTRY == "7"}selected="yes"{/if}>Germany</option>
					<option value="201" {if $SETTINGS_EBAY_API_COUNTRY == "201"}selected="yes"{/if}>Hong Kong</option>
					<option value="203" {if $SETTINGS_EBAY_API_COUNTRY == "203"}selected="yes"{/if}>India</option>
					<option value="205" {if $SETTINGS_EBAY_API_COUNTRY == "205"}selected="yes"{/if}>Ireland</option>
					<option value="101" {if $SETTINGS_EBAY_API_COUNTRY == "101"}selected="yes"{/if}>Italy</option>
					<option value="207" {if $SETTINGS_EBAY_API_COUNTRY == "207"}selected="yes"{/if}>Malaysia</option>
					<option value="146" {if $SETTINGS_EBAY_API_COUNTRY == "146"}selected="yes"{/if}>Netherlands</option>
					<option value="211" {if $SETTINGS_EBAY_API_COUNTRY == "211"}selected="yes"{/if}>Philippines</option>
					<option value="212" {if $SETTINGS_EBAY_API_COUNTRY == "212"}selected="yes"{/if}>Poland</option>
					<option value="216" {if $SETTINGS_EBAY_API_COUNTRY == "216"}selected="yes"{/if}>Singapore</option>
					<option value="186" {if $SETTINGS_EBAY_API_COUNTRY == "186"}selected="yes"{/if}>Spain</option>
					<option value="193" {if $SETTINGS_EBAY_API_COUNTRY == "193"}selected="yes"{/if}>Switzerland</option>
					<option value="3" {if $SETTINGS_EBAY_API_COUNTRY == "3"}selected="yes"{/if}>UK</option>
					<option value="0" {if $SETTINGS_EBAY_API_COUNTRY == "0"}selected="yes"{/if}>United States</option>
				</select>
			</span>
		</div>


		<div>
			<label for="ebay_prod_apiurl">Live/Test</label><span>
				<select name="module[ebay_prod_apiurl]">
					<option value="sandbox" {if $SETTINGS_EBAY_API_APIURL == "sandbox"}selected="yes"{/if}>[TEST] - Sandbox</option>
					<option value="production" {if $SETTINGS_EBAY_API_APIURL == "production"}selected="yes"{/if}>[LIVE] - Production</option>
				</select>
			</span>
		</div>



		<div><label for="ebay_token_e">{$LANG.ebay_orders.ebay_token_e}</label><span>{$EBAY_TOKEN_EXPIRES}</span></div>
		<div><label for="cron_last_ran">{$LANG.ebay_orders.cron_last_ran}</label><span>{$EBAY_CRON_LAST_RAN_ORDERS}</span></div>


		{if isset($EBAY_API_MESSAGE) && !empty($EBAY_API_MESSAGE)}
			<div><label for="api_messages">API Message:</label><span>{$EBAY_API_MESSAGE}</span></div>
		{/if}
		<div><label for="ebay_token_e">{$LANG.ebay_orders.link_or_relink}</label><span><a href="?_g=plugins&type=plugins&module=ebay_orders&authaction=oauth1" class="button">{$LANG.ebay_orders.link_or_relink}</a></span></div>
	</fieldset>

	
	<fieldset>
		<legend>Ebay Orders Configuration</legend>
			<div>
				<label for="cleanup_customers">Only Import Customer Accounts with valid orders</label><span><input type="hidden" name="module[cleanup_customers]" id="cleanup_customers" class="toggle" value="{$MODULE.cleanup_customers}" />&nbsp;</span>
			</div>			
			
			<div>
				<label for="auto_leave_feedback">Leave Feedback</label><span><input type="hidden" name="module[auto_leave_feedback]" id="auto_leave_feedback" class="toggle" value="{$MODULE.auto_leave_feedback}" />&nbsp;</span>
			</div>

			<div>
				<label for="enable_random_email">Enable Random Email addresses for imported customers</label><span><input type="hidden" name="module[enable_random_email]" id="enable_random_email" class="toggle" value="{$MODULE.enable_random_email}" />&nbsp;</span>
			</div>

			<div>
				<label for="random_email_domain">Random email domain</label><span><input type="text" name="module[random_email_domain]" id="random_email_domain" class="textbox" value="{$MODULE.random_email_domain}" placeholder="@yourdomain.com" />&nbsp;</span>
			</div>

			<div>
				<label for="api_call_limit_time">Limit Get Orders to once per X minutes *</label><span><input type="number" name="module[api_call_limit_time]" id="api_call_limit_time" class="textbox number" value="{if empty($MODULE.api_call_limit_time)}30{else}{$MODULE.api_call_limit_time}{/if}" />&nbsp;</span>
			</div>
	</fieldset>

	  <p><b>Limit Get Orders to once per X minutes:</b> This is an important setting which prevents the module from asking Ebay for new orders every time you load a page in the admin area. This is a flood prevention and API call limit preservation setting. The module will only ask Ebay for new orders ONCE within the configured time window. A lower value will consume the Ebay API calls faster so this setting may need to be tuned based on your ebay sales volume and store size. The scheduled CRON job also references this setting, meaning it will only import orders once per X minutes. </p>
	
	<br/>		

	<div class="form_control">
		<input type="submit" name="save" value="{$LANG.common.save}" />
	</div>

	<br/>

	<fieldset><legend>Plugin Version Information & Messages</legend>
		<div>Version: {$EBAY_ORDERS_PLUGIN_VERSION} </div>
		{$EBAY_ORDERS_MESSAGES}
	</fieldset>
	
	<fieldset><legend>{$LANG.ebay_orders.ebay_notes}</legend>
		<p>To get started with Ebay Orders please follow the steps below:
			<ol>
			<li>Register for an account on the eBay Developer network. <a href="https://developer.ebay.com">https://developer.ebay.com</a></li>
			<li>Generate a set of Sandbox and Production API Keys, this will give you the <b>AppID</b>, <b>DevID</b> and <b>CertID</b> required in the above configuration. This is done from your eBay developer account.</li>
			<li>Within the Ebay developer account, navigate to the <b>Auth Tokens For Ebay</b> page. Complete the <b>Get a Token from eBay via your Application</b> creation steps. Add the following values.
				<ul>
					<li><b>oAuth Enabled</b> Checked/Yes </li>
					<li><b>Your privacy policy URL:</b> {$STORE_URL} </li>
					<li><b>Your auth accepted URL:</b> {$STORE_URL}/{$SKIN_VARS.admin_file}?ebay_linking_process=1</li>
					<li><b>Your auth declined URL:</b> {$STORE_URL}/{$SKIN_VARS.admin_file}?ebay_linking_process=2</li>
				</ul>
			</li>
			<li>Put your RuName, AppID, DevID and CerID & RuName from the ebay developer network into the plugin configuration above</li>
			<li>Set the maximum age of orders to import. This is set in seconds and defaults to 7 days. Leave it as the default value unless you have an exceptionally large number of listings on Ebay. Press save when done.</li>
			<li>Click the Link/Relink Ebay Account button, you should be asked to login to Ebay. Login and accept the T&C's (these are your own from the developer account). Once compelte, you should be redirected back to the module.</li>
			<li>Go to the product mapping tab and press the "Update Mapping Database" link. This will pull your active ebay listings into cubecart. After the import, update the records so they are mapped to your store product. Note, if you relist the same items frequently the plugin will auto populate the mapping to the store product for you based on past mapping values.</li>
			<li>When your mappings are up to date, go to the General tab and press the "Get Latest Orders" link. This will import your ebay orders and customers.</li>
			</ol>
		</p>
		<li><b>IMPORTANT:</b> The module requires a CRON job (schedueld job) be setup to run background tasks. Schedule the following PHP script to run ONCE every THREE minutes or longer. (for example 5 or 10 minutes). <b>{$CC_ROOT_DIR}/modules/plugins/ebay_orders/cron/cron_ebayOrders_processor.php</b>. Once the CRON job is setup, check the timestamp in the property &quot;CRON job last started (UTC)&quot; above. The time should update every few minutes as the job runs. If you do not see the time updating periodically the CRON is not working and needs to be investigated. </li>

		<p>
			To comply with GDPR, you may also need to subscribe to the Ebay account deletion alert/notification. To do this, from your Ebay Developer account:
			<ol>
				<li>Naviate to Auth tokens for Ebay</li>
				<li>Select your Production keys</li>
				<li>click the Alerts &amp; Notifications tab then select Marketplace Account Deletion</li>
				<li>Add a notification email address</li>
				<li>Set the following URL as the notification endpoint (Must use HTTPS): <a href="{$STORE_URL}/index.php?ebay_acct_deletion=1">{$STORE_URL}/index.php?ebay_acct_deletion=1</a></li>
			<li>Copy and paste the following code into the Verification Token field: <i>{$EBAY_ALERT_VERIFICATI0N_TOKEN}</i></li>
				<li>Save and send a test notification</li>
			</ol>
		</p>

	</fieldset>

  <input type="hidden" name="token" value="{$SESSION_TOKEN}" />	
	
  </div>
  {$MODULE_ZONES}
  

</form>


{if isset($GDPR_REQUESTS)}
	<div id="gdpr" class="tab_content">
		<h3>GDPR Requests</h3>
		<p>The following list has been sent to the module by Ebay. All entries on this page should be reviewed and where appropriate, related customer data should be scrubbed. The following Ebay accounts have been deleted from Ebay thus Ebay needs to ensure related data is also handled.</p>
		<p>Ebay will send information about all accounts which need to be reviewed since the time your Ebay account was first created. For some sellers, this may create a lengthy list of items to review once first enabled. Only GDPR requests sent to the module from Ebay where a customer account can be matched is displayed for review.</p>
		<table>
			<thead>
			<tr>
				<td>Username</td>
				<td>CubeCart Customer Account</td>
				<td>&nbsp;</td>
			</tr>
			</thead>
			<tbody>
			{foreach from=$GDPR_REQUESTS item=$gdpr_request}
				<tr>
					<td>{$gdpr_request.username}</td>
					<td>
						{if empty($gdpr_request.cubecart_customer_id)}
							No Match Found
						{else}
							<a href="?_g=customers&action=edit&customer_id={$gdpr_request.cubecart_customer_id}">{$gdpr_request.first_name} {$gdpr_request.last_name}</a>
						{/if}
					</td>
					<td>
						<form action="{$VAL_SELF}" method="post" enctype="multipart/form-data">
							<input type="hidden" name="gdpr_handled" value="{$gdpr_request.id}">
							<input type="submit" class="button" value="Mark as handled" />
						</form>
					</td>
				</tr>
			{/foreach}
			</tbody>
		</table>
	</div>
{/if}
	  
<div id="mapping" class="tab_content">

	{$UPDATE_MAPPING_TABLE}

  <div class="form_control">
	<input type="submit" name="save" value="{$LANG.common.save}" />
  </div>
  <input type="hidden" name="token" value="{$SESSION_TOKEN}" />
	</form>

</div>


<div id="action_log" class="tab_content">
	{$ACTION_LOG}
</div>



{if isset($VARIATION_MAPPINGS)}
	{$VARIATION_MAPPINGS}
{/if}



<div id="feedback" class="tab_content">
	<p>{$FEEDBACK_SETTINGS_TAB}</p>


  <input type="hidden" name="token" value="{$SESSION_TOKEN}" />
	
	</form>

</div>


<div id="error_log" class="tab_content">
	{$EBAY_ORDERS_ERROR_LOG}
</div>

